<template>
    <div>
        <product :products="products"></product>
        <pagination :total-page="totalPage" :limit="limit"></pagination>
    </div>
</template>

<script>
    import axios from 'axios'
    import Pagination from "../components/Pagination";
    import Product from "../components/Product";


    export default {
        name: "ProductList",
        components: {
            Product,
            Pagination
        },

        data() {
            return {
                products:[],
                totalCount:'',
                totalPage: 0,
                limit:4,
                selectedPage:0,
            }
    },
        mounted() {
            this.getProducts();

        },
        created() {
            this.$root.$on('products', (data) => {
                this.products = data;
            });
        },
        methods: {

            getProducts() {
                axios.get('http://testtask.alto.codes/front-products.php')
                    .then(response => {
                        this.products = response.data.products;
                        this.totalCount =response.data.totalCount;
                        this.totalPage = Math.ceil(response.data.totalCount / this.limit);
                    })
                    .catch((error) => {
                        console.log(error);
                    })
            },

        }
    }
</script>

<style lang="scss">



</style>